Get Preference (POST)
Get the preferences object.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
"user_preferences"Language code for which to get the preferences for.
textThe ID of the target object for which preferences object is to be fetched.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/preferences.get" \ -H "Content-Type: application/json" \ -d '{ "type": "user_preferences", "object": "DEV-AbCdEfGh" }'{
"preference": {
"type": "user_preferences",
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"general_preferences": {
"availability": {
"manual_away": true
},
"preferred_locale": "string"
}
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "not_found"
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Update Part POST
Updates a [part's](https://devrev.ai/docs/product/parts) information. **Required scopes:** Depends on the object type in the `type` field: | type | required scope | |---|---| | capability | `capability:write` OR `capability:all` | | enhancement | `enhancement:write` OR `enhancement:all` | | feature | `feature:write` OR `feature:all` | | product | `product:write` OR `product:all` |
Get Preference GET
Get the preferences object.